Package com.zfabrik.impl.gitcr.helper

## Class ProgressMonitorImpl

- java.lang.Object
- - com.zfabrik.impl.gitcr.helper.ProgressMonitorImpl

- All Implemented Interfaces:
    `org.eclipse.jgit.lib.ProgressMonitor`

      public class ProgressMonitorImpl
      extends java.lang.Object
      implements org.eclipse.jgit.lib.ProgressMonitor

  A simple progress monitor for Git operations

- - ### Field Summary

    - ### Fields inherited from interface org.eclipse.jgit.lib.ProgressMonitor

      `UNKNOWN`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ProgressMonitorImpl​(java.util.logging.Logger log)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `beginTask​(java.lang.String title, int totalWork)` |
    `void` | `endTask()` |
    `boolean` | `isCancelled()` |
    `void` | `start​(int totalTasks)` |
    `void` | `update​(int completed)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ProgressMonitorImpl

          public ProgressMonitorImpl​(java.util.logging.Logger log)

  - ### Method Detail

    - #### start

          public void start​(int totalTasks)

      Specified by:
        `start` in interface `org.eclipse.jgit.lib.ProgressMonitor`

    - #### beginTask

          public void beginTask​(java.lang.String title,
                                int totalWork)

      Specified by:
        `beginTask` in interface `org.eclipse.jgit.lib.ProgressMonitor`

    - #### update

          public void update​(int completed)

      Specified by:
        `update` in interface `org.eclipse.jgit.lib.ProgressMonitor`

    - #### endTask

          public void endTask()

      Specified by:
        `endTask` in interface `org.eclipse.jgit.lib.ProgressMonitor`

    - #### isCancelled

          public boolean isCancelled()

      Specified by:
        `isCancelled` in interface `org.eclipse.jgit.lib.ProgressMonitor`